<%@page import="br.mp.mprj.portal.portlet.gestaomensagens.service.service.AnexoMensagemLocalServiceUtil"%>
<%@page import="br.mp.mprj.portal.portlet.gestaomensagens.service.model.AnexoMensagem"%>
<%@ include file="/jsp/init.jsp"%>
<%@ page import="com.liferay.portal.kernel.util.StringBundler" %>

<%
Mensagem mensagem = MensagemLocalServiceUtil.getMensagem(ParamUtil.getLong(renderRequest, "mensagemId"));

pageContext.setAttribute("mensagem", mensagem);

StringBundler sb = null;
String nomeRemetente = "";

if (mensagem != null) {
	
	if (mensagem.getTemplate() == null && mensagem.getTemplateId() > 0){
		
		mensagem.setTemplate(TemplateLocalServiceUtil.getTemplate(mensagem.getTemplateId()));
		
		Template template = null;
		if (mensagem != null) {
			template = mensagem.getTemplate();
			pageContext.setAttribute("template", template);
		}
	}
	
	long[] destIds = GetterUtil.getLongValues(mensagem.getGrupoDestinatarioIds().split("\\s"));
	List<GrupoDestinatario> destinatarios = new ArrayList<GrupoDestinatario>();
	
	for (long id : destIds) {
		destinatarios.add(GrupoDestinatarioLocalServiceUtil.getGrupoDestinatario(id));
	}
	
	 sb = new StringBundler(destinatarios.size() * 2);
	
	for (int i = 0; i < destinatarios.size(); i++) {
		GrupoDestinatario dest = destinatarios.get(i);
		if (i > 0) {
			sb.append(StringPool.COMMA + StringPool.SPACE);				
		}
		sb.append(dest.getNome());
	}
	
	GrupoDestinatario remetente = GrupoDestinatarioLocalServiceUtil.getGrupoDestinatario(mensagem.getContaSaidaId());
	
	nomeRemetente = remetente.getNome();
	
}

List<AnexoMensagem> anexos = null;

if (mensagem != null){
	anexos = AnexoMensagemLocalServiceUtil.recuperaAnexosPorMensagem(mensagem.getMensagemId());
}

%>

<div class="context-pane painel-mensagens">

	<c:set var="htmlMensagem">
		<c:choose>
			<c:when test="${template.templateId > 0 &&  template.estilo == 0}">
						${template.cabecalho}
						${mensagem.conteudo}
						${template.rodape}
					</c:when>
			<c:otherwise>
				<!-- {template.corpo}-->
						${mensagem.conteudo}
					</c:otherwise>
		</c:choose>
	</c:set>
	
	<div>
		<p style="font-family:Verdana;font-size:10.0pt;"><strong><liferay-ui:message key="mensagem.solicitante"/>: </strong><%=mensagem.getNomeSolicitante()%></p>
	</div>
	
	
	<div>
		<p style="font-family:Verdana;font-size:10.0pt;"><strong><liferay-ui:message key="destinatario.lista"/>: </strong><%=sb.toString()%></p>
	</div>
	
	
	<div>
		<p style="font-family:Verdana;font-size:10.0pt;"><strong><liferay-ui:message key="destinatario.conta"/>: </strong><%=nomeRemetente%></p>
	</div>
	
	<div>
		<p style="font-family:Verdana;font-size:10.0pt;"><strong><liferay-ui:message key="mensagem.assunto"/>: </strong><%=mensagem.getAssunto()%></p>
	</div>
	
	<div>
		<p style="font-family:Verdana;font-size:10.0pt;"><%=mensagem.getLiteralAgendamento()%></p>
	</div>
	
	<% if (anexos != null && anexos.size() > 0 ) {%>
			
			<div>
				<p></p>
				<p><strong><liferay-ui:message key="anexos.visualizacao"/>:</strong></p>
				<% for (AnexoMensagem anexo : anexos) {%>
				
				<a target="_blank" href="<%=anexo.getAnexoUrl()%>"><%=anexo.getFileName()%></a> <br/>
			
				<%} %>
			</div>
			
		<%} %>	
	
	<div><p></p></div>
	
	<aui:input name="htmlMensagem" value="${htmlMensagem}" type="hidden" />
	<c:set var="tituloPreview">
		<liferay-ui:message key='mensagem.titulo-preview' />
	</c:set>
	<liferay-util:include
		page="/jsp/admin/includes/componente-preview-html.jsp"
		servletContext="<%=this.getServletContext()%>">
		<liferay-util:param name="tituloPreview" value="${tituloPreview}" />
		<liferay-util:param name="html" value="${htmlMensagem}" />
	</liferay-util:include>

</div>

